### Virtual Method

# Soup Auth authenticate

#### Declaration [src]

    void
    authenticate (
      SoupAuth* auth,
      const char* username,
      const char* password
    )

#### Description [src]

Call this on an auth to authenticate it.

Normally this will cause the auth’s message to be requeued with the new authentication info.

#### Parameters

`username` | `const char*`
| The username provided by the user or client.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`password` | `const char*`
| The password provided by the user or client.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.